Launch a campaign
curl --request POST \
--url https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"scheduled_at": "2026-11-02T10:00:00+05:30"
}
'import requests
url = "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch"
payload = { "scheduled_at": "2026-11-02T10:00:00+05:30" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2026-11-02T10:00:00+05:30'})
};
fetch('https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2026-11-02T10:00:00+05:30'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch"
payload := strings.NewReader("{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"list_name": "<string>",
"sender_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"recipients": 123,
"processed": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"blocked": 123,
"queued": 123
}{
"error": "invalid body",
"details": [
{
"path": [
"to"
],
"message": "Required"
}
]
}{
"error": "<string>",
"details": [
{}
]
}Campaigns
Launch a campaign
Start a draft campaign now or schedule it.
POST
/
v1
/
campaigns
/
{id}
/
launch
Launch a campaign
curl --request POST \
--url https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"scheduled_at": "2026-11-02T10:00:00+05:30"
}
'import requests
url = "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch"
payload = { "scheduled_at": "2026-11-02T10:00:00+05:30" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2026-11-02T10:00:00+05:30'})
};
fetch('https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2026-11-02T10:00:00+05:30'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch"
payload := strings.NewReader("{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://truecaller.udchowdhury.me/v1/campaigns/{id}/launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2026-11-02T10:00:00+05:30\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"list_name": "<string>",
"sender_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"recipients": 123,
"processed": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"blocked": 123,
"queued": 123
}{
"error": "invalid body",
"details": [
{
"path": [
"to"
],
"message": "Required"
}
]
}{
"error": "<string>",
"details": [
{}
]
}Authorizations
Workspace API key from Developers → API keys. It starts with tc_live_.
Path Parameters
Body
application/json
Example:
"2026-11-02T10:00:00+05:30"
Response
The campaign, now running or scheduled.
Available options:
draft, scheduled, running, completed, cancelled Why a running campaign is waiting
Was this page helpful?

